HiDPI (retina) support
Closed, ResolvedPublic

Description

Blender looks pixelated (low-res) on retina MacBook Pro (see attached screenshot).

What is necessary to fix this:

Should be added to Info.plist:
<key>NSPrincipalClass</key>
<string>NSApplication</string>

NSView that is used for OpenGL rendering should specifically opt-in for high-res, like this:
[view setWantsBestResolutionOpenGLSurface:YES];

Set viewport to the actual backing buffer resolution, NSView's convertRectToBacking can be used to handle this.
Text rendering should be aware of increased backing resolution.
Last step - provide 2x images for UI, select correct one in runtime.

jensverwiebe (jens verwiebe) added a comment.Via Old WorldSep 19 2012, 11:17 AM

The plist keys are added since a while.
This should help all non-GL and text to be sharp on retina now.
Unfortunately no one reported back.
I made same for Luxrender ( also w/o updated icons atm ) and it is a huge improovement already.

Jens

jensverwiebe (jens verwiebe) added a comment.Via Old WorldSep 19 2012, 11:19 AM

P.S.: Full retina support is planned for 2.65

Jens

madfish (Alexander Chehovsky) added a comment.Via Old WorldSep 19 2012, 11:02 PM

The only difference in 2.64RC seems to be non-pixelated window caption, but the window content is exactly as it was before.

dingto (Thomas Dinges) added a comment.Via Old WorldSep 24 2012, 7:13 PM

Jens, can you please re-check here?

Could someone upload a patch? where to add "[view setWantsBestResolutionOpenGLSurface:YES];" isnt clear at all.

murphyspublic (Murphy Randle) added a comment.Via Old WorldSep 28 2012, 4:39 AM

I'd also love a patch. I figure out a good bit of it today, but I couldn't get the NSOpenGLView to resize correctly.

jensverwiebe (jens verwiebe) added a comment.Via Old WorldOct 2 2012, 12:57 PM

I was looking last days and think i can provide a patch soon..

Jens

murphyspublic (Murphy Randle) added a comment.Via Old WorldOct 2 2012, 4:07 PM

Thank you!

First patch as far as i understood it, pls try out.
See attachment.

Jens

Jens, I just tried applying the patch. I get the blender interface as a tiny subset of the overall window.
I've attached a screenshot of the result.

jensverwiebe (jens verwiebe) added a comment.Via Old WorldOct 7 2012, 12:48 PM

Oh yeah ..... :)

I'am doing blindflight here not having a testmachine.
I guess would be better someone with a macbook retina starts to move my lines around.
I think i placed the backbuffer stuff in the wrong place ....

Jens

mauiblend (Maui Postma) added a comment.Via Old WorldOct 29 2012, 7:56 PM

Hi,

Just wondering if there has been any progress on this issue and if it's still a target for 2.65? (can't seem to find it on the projects page)

Thank you

jensverwiebe (jens verwiebe) added a comment.Via Old WorldOct 29 2012, 11:32 PM

Ton has a retina book now, guess he can make things right out of the patch soon ...

Jens

mauiblend (Maui Postma) added a comment.Via Old WorldOct 30 2012, 7:02 AM

Thank you Jens, looking forward to it!

brecht (Brecht Van Lommel) added a comment.Via Old WorldDec 14 2012, 11:02 PM

Retina support is now in trunk, for the 2.66 release.
http://wiki.blender.org/index.php/Dev:Ref/Release_Notes/2.66/Usability

brecht (Brecht Van Lommel) closed this task as "Resolved".Via Old WorldDec 14 2012, 11:02 PM

Add Comment